Package org.eclipse.graphiti.tb

# Interface IConnectionSelectionInfo

All Superinterfaces:
  `ISelectionInfo`

All Known Implementing Classes:
  `ConnectionSelectionInfoImpl`

public interface IConnectionSelectionInfo extends ISelectionInfo
The Interface IConnectionSelectionInfo.

Since:
  0.10

## Method Summary

Modifier and Type
Method
Description
`IColorConstant`
`getPrimarySelectionBendpointBackgroundColor()`
Gets the primary selection background color for the bendpoint.
`IColorConstant`
`getPrimarySelectionBendpointForegroundColor()`
Gets the primary selection foreground color for the bendpoint.
`IColorConstant`
`getSecondarySelectionBendpointBackgroundColor()`
Gets the secondary selection background color for the bendpoint.
`IColorConstant`
`getSecondarySelectionBendpointForegroundColor()`
Gets the secondary selection foreground color for the bendpoint.
`void`
`setPrimarySelectionBendpointBackgroundColor(IColorConstant color)`
Sets the primary selection background color for the bendpoint.
`void`
`setPrimarySelectionBendpointForegroundColor(IColorConstant color)`
Sets the primary selection foreground color for the bendpoint.
`void`
`setSecondarySelectionBendpointBackgroundColor(IColorConstant color)`
Sets the secondary selection background color for the bendpoint.
`void`
`setSecondarySelectionBendpointForegroundColor(IColorConstant color)`
Sets the secondary selection foreground color for the bendpoint.

### Methods inherited from interface org.eclipse.graphiti.tb.ISelectionInfo

`getColor, getHoverColor, getHoverColorParentSelected, getLineStyle, setColor, setHoverColor, setHoverColorParentSelected, setLineStyle`

## Method Details

### getPrimarySelectionBendpointForegroundColor

IColorConstant getPrimarySelectionBendpointForegroundColor()
Gets the primary selection foreground color for the bendpoint.

Returns:
  the foreground color

### getPrimarySelectionBendpointBackgroundColor

IColorConstant getPrimarySelectionBendpointBackgroundColor()
Gets the primary selection background color for the bendpoint.

Returns:
  the background color

### getSecondarySelectionBendpointForegroundColor

IColorConstant getSecondarySelectionBendpointForegroundColor()
Gets the secondary selection foreground color for the bendpoint.

Returns:
  the foreground color

### getSecondarySelectionBendpointBackgroundColor

IColorConstant getSecondarySelectionBendpointBackgroundColor()
Gets the secondary selection background color for the bendpoint.

Returns:
  the background color

### setPrimarySelectionBendpointForegroundColor

void setPrimarySelectionBendpointForegroundColor(IColorConstant color)
Sets the primary selection foreground color for the bendpoint.

Parameters:
  `color` - the color

### setPrimarySelectionBendpointBackgroundColor

void setPrimarySelectionBendpointBackgroundColor(IColorConstant color)
Sets the primary selection background color for the bendpoint.

Parameters:
  `color` - the color

### setSecondarySelectionBendpointForegroundColor

void setSecondarySelectionBendpointForegroundColor(IColorConstant color)
Sets the secondary selection foreground color for the bendpoint.

Parameters:
  `color` - the color

### setSecondarySelectionBendpointBackgroundColor

void setSecondarySelectionBendpointBackgroundColor(IColorConstant color)
Sets the secondary selection background color for the bendpoint.

Parameters:
  `color` - the color